package com.sifang.modules.customer.entity;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "crm_customer_entry_survey_record")
public class CustomerEntrySurveyRecord implements Serializable {

    private static final long serialVersionUID = 8978606906772852113L;

    @Id
    private String entryId;

    /**
     * 经销商id
     */
    private String traderId;

    /**
     * 还款方式：1.二类卡 2.光E宝 0.其他
     */
    private String repaymentMethod;

    /**
     * 房屋类型
     */
    private String roofType;

    /**
     * 是否封屋顶:1.是 2.否
     */
    private String sealRoof;

    /**
     * 角度
     */
    private String angle;

    /**
     * 房屋朝向：1.正南 2.南偏东 3.南偏西
     */
    private String azimuth;

    /**
     * 建筑高度
     */
    private BigDecimal buildingHeight;

    /**
     * 屋面坡度
     */
    private BigDecimal slopeGradient;

    /**
     * 檩条间距
     */
    private BigDecimal purlineInterval;

    /**
     * 屋顶防水情况：1.一般 2.良好
     */
    private String waterproof;

    /**
     * 是否有污染源：1.有 2.没有
     */
    private String sourcePollution;

    /**
     * 是否具备运维空间：1.具备 2.不具备
     */
    private String opsCondition;

    /**
     * 配电箱至并网点距离
     */
    private BigDecimal distance;

    /**
     * 组件倾角
     */
    private BigDecimal dipAngle;

    /**
     * 无人机航拍图
     */
    private String flyImgs;

    /**
     * 安装区域整体照片(1-4张)
     */
    private String roofPhotoOne;

    /**
     * 安装区域东南角照片（1·4张）
     */
    private String roofPhotoTwo;

    /**
     * 安装区域西南角照片（1·4张）
     */
    private String roofPhotoThree;

    /**
     * 安装区域正南照片（1·4张）
     */
    private String roofPhotoFour;

    /**
     * 安装区域细节照片（1·4张）
     */
    private String roofPhotoFive;

    /**
     * 逆变器、配电箱预安装位置照片
     */
    private String detailSupplementOne;

    /**
     * 房产证(1-5张)
     */
    private String houseOwnership;

    /**
     * 房屋内部结构照片（1·4张）
     */
    private String roofPhotoFacade;

    /**
     * 房屋内部环境照片（1·4张）
     */
    private String roofPhotoInterior;

    /**
     * 房屋其他障碍物照片（0·4张）
     */
    private String houseSupplementOne;

    /**
     * 备案文件
     */
    private String filingDocumentPhoto;

    /**
     * 项目备案代码
     */
    private String filingDocumentCode;

    /**
     * 备案文件2
     */
    private String filingDocumentPhoto2;

    /**
     * 备案文件3
     */
    private String filingDocumentPhoto3;

    /**
     * 并网电压等级
     */
    private BigDecimal voltageClasses;

    /**
     * 变压器容量
     */
    private BigDecimal transformerCapacity;

    /**
     * 是否符合变压器容量限制要求:1.符合 2.不符合
     */
    private String restrictFlag;

    /**
     * 房屋建成年份
     */
    private String completionYear;

    /**
     * 踏勘补充证明视频文件url
     */
    private String surveyVideo;
    // 踏勘记录表文件
    private String surveyFiles;
    //屋顶面积
    private BigDecimal  roofArea;
    //东西长
    private BigDecimal ewLength;
    //南北宽
    private BigDecimal nsWide;
    //房屋整体图（VR全景）
    private String vrRoofOne;
    //房屋整体俯视图（VR）
    private String vrRoofTwo;
    //房屋内部结构图（VR）
    private String vrRoofThree;
    //入户全景照片(VR)
    private String vrRoofFour;
    //房屋轮廓照片
    private String houseOutlinePhoto;
    //房屋整体图
    private String fwImg1;
    //房屋内部结构图
    private String fwImg2;
    //房屋屋顶东南侧图片
    private String fwImg3;
    //房屋屋顶西南侧图片
    private String fwImg4;
    //遮阴物与房屋距离、高度
    private String fwImg5;

    /**
     * 创建时间
     */
    private Date createTime;

    //屋面板厚度(单位 毫米/mm)
    private String roofFaceThickness;

    //结构类型(框架结构、砖木结构、砖混结构、框剪结构、其它)
    private String structureType;

    //场地坡度
    private String siteSlope;

    //地面类型(水泥硬化、砂石、土壤、其它)
    private String groundType;

    //地质情况
    private String geologicalCondition;

    //围墙高度(单位 米/m)
    private String fenceHeight;


    public String getRoofFaceThickness() {
        return roofFaceThickness;
    }

    public void setRoofFaceThickness(String roofFaceThickness) {
        this.roofFaceThickness = roofFaceThickness;
    }

    public String getStructureType() {
        return structureType;
    }

    public void setStructureType(String structureType) {
        this.structureType = structureType;
    }

    public String getSiteSlope() {
        return siteSlope;
    }

    public void setSiteSlope(String siteSlope) {
        this.siteSlope = siteSlope;
    }

    public String getGroundType() {
        return groundType;
    }

    public void setGroundType(String groundType) {
        this.groundType = groundType;
    }

    public String getGeologicalCondition() {
        return geologicalCondition;
    }

    public void setGeologicalCondition(String geologicalCondition) {
        this.geologicalCondition = geologicalCondition;
    }

    public String getFenceHeight() {
        return fenceHeight;
    }

    public void setFenceHeight(String fenceHeight) {
        this.fenceHeight = fenceHeight;
    }

    public String getFwImg1() {
        return fwImg1;
    }

    public void setFwImg1(String fwImg1) {
        this.fwImg1 = fwImg1;
    }

    public String getFwImg2() {
        return fwImg2;
    }

    public void setFwImg2(String fwImg2) {
        this.fwImg2 = fwImg2;
    }

    public String getFwImg3() {
        return fwImg3;
    }

    public void setFwImg3(String fwImg3) {
        this.fwImg3 = fwImg3;
    }

    public String getFwImg4() {
        return fwImg4;
    }

    public void setFwImg4(String fwImg4) {
        this.fwImg4 = fwImg4;
    }

    public String getFwImg5() {
        return fwImg5;
    }

    public void setFwImg5(String fwImg5) {
        this.fwImg5 = fwImg5;
    }

    public String getHouseOutlinePhoto() {
        return houseOutlinePhoto;
    }

    public void setHouseOutlinePhoto(String houseOutlinePhoto) {
        this.houseOutlinePhoto = houseOutlinePhoto;
    }

    public String getEntryId() {
        return entryId;
    }

    public void setEntryId(String entryId) {
        this.entryId = entryId;
    }

    public String getTraderId() {
        return traderId;
    }

    public void setTraderId(String traderId) {
        this.traderId = traderId;
    }

    public String getRoofType() {
        return roofType;
    }

    public void setRoofType(String roofType) {
        this.roofType = roofType;
    }

    public String getAngle() {
        return angle;
    }

    public void setAngle(String angle) {
        this.angle = angle;
    }

    public String getAzimuth() {
        return azimuth;
    }

    public void setAzimuth(String azimuth) {
        this.azimuth = azimuth;
    }

    public BigDecimal getBuildingHeight() {
        return buildingHeight;
    }

    public void setBuildingHeight(BigDecimal buildingHeight) {
        this.buildingHeight = buildingHeight;
    }

    public String getRepaymentMethod() {
        return repaymentMethod;
    }

    public void setRepaymentMethod(String repaymentMethod) {
        this.repaymentMethod = repaymentMethod;
    }

    public BigDecimal getDistance() {
        return distance;
    }

    public void setDistance(BigDecimal distance) {
        this.distance = distance;
    }

    public String getFlyImgs() {
        return flyImgs;
    }

    public void setFlyImgs(String flyImgs) {
        this.flyImgs = flyImgs;
    }

    public String getRoofPhotoOne() {
        return roofPhotoOne;
    }

    public void setRoofPhotoOne(String roofPhotoOne) {
        this.roofPhotoOne = roofPhotoOne;
    }

    public String getRoofPhotoTwo() {
        return roofPhotoTwo;
    }

    public void setRoofPhotoTwo(String roofPhotoTwo) {
        this.roofPhotoTwo = roofPhotoTwo;
    }

    public String getRoofPhotoThree() {
        return roofPhotoThree;
    }

    public void setRoofPhotoThree(String roofPhotoThree) {
        this.roofPhotoThree = roofPhotoThree;
    }

    public String getRoofPhotoFour() {
        return roofPhotoFour;
    }

    public void setRoofPhotoFour(String roofPhotoFour) {
        this.roofPhotoFour = roofPhotoFour;
    }

    public String getRoofPhotoFive() {
        return roofPhotoFive;
    }

    public void setRoofPhotoFive(String roofPhotoFive) {
        this.roofPhotoFive = roofPhotoFive;
    }

    public String getHouseOwnership() {
        return houseOwnership;
    }

    public void setHouseOwnership(String houseOwnership) {
        this.houseOwnership = houseOwnership;
    }

    public String getRoofPhotoFacade() {
        return roofPhotoFacade;
    }

    public void setRoofPhotoFacade(String roofPhotoFacade) {
        this.roofPhotoFacade = roofPhotoFacade;
    }

    public String getRoofPhotoInterior() {
        return roofPhotoInterior;
    }

    public void setRoofPhotoInterior(String roofPhotoInterior) {
        this.roofPhotoInterior = roofPhotoInterior;
    }

    public String getFilingDocumentPhoto() {
        return filingDocumentPhoto;
    }

    public void setFilingDocumentPhoto(String filingDocumentPhoto) {
        this.filingDocumentPhoto = filingDocumentPhoto;
    }

    public String getFilingDocumentCode() {
        return filingDocumentCode;
    }

    public void setFilingDocumentCode(String filingDocumentCode) {
        this.filingDocumentCode = filingDocumentCode;
    }

    public String getFilingDocumentPhoto2() {
        return filingDocumentPhoto2;
    }

    public void setFilingDocumentPhoto2(String filingDocumentPhoto2) {
        this.filingDocumentPhoto2 = filingDocumentPhoto2;
    }

    public String getFilingDocumentPhoto3() {
        return filingDocumentPhoto3;
    }

    public void setFilingDocumentPhoto3(String filingDocumentPhoto3) {
        this.filingDocumentPhoto3 = filingDocumentPhoto3;
    }

    public String getHouseSupplementOne() {
        return houseSupplementOne;
    }

    public void setHouseSupplementOne(String houseSupplementOne) {
        this.houseSupplementOne = houseSupplementOne;
    }

    public String getDetailSupplementOne() {
        return detailSupplementOne;
    }

    public void setDetailSupplementOne(String detailSupplementOne) {
        this.detailSupplementOne = detailSupplementOne;
    }

    public BigDecimal getVoltageClasses() {
        return voltageClasses;
    }

    public void setVoltageClasses(BigDecimal voltageClasses) {
        this.voltageClasses = voltageClasses;
    }

    public BigDecimal getTransformerCapacity() {
        return transformerCapacity;
    }

    public void setTransformerCapacity(BigDecimal transformerCapacity) {
        this.transformerCapacity = transformerCapacity;
    }

    public String getRestrictFlag() {
        return restrictFlag;
    }

    public void setRestrictFlag(String restrictFlag) {
        this.restrictFlag = restrictFlag;
    }

    public String getSealRoof() {
        return sealRoof;
    }

    public void setSealRoof(String sealRoof) {
        this.sealRoof = sealRoof;
    }

    public String getCompletionYear() {
        return completionYear;
    }

    public void setCompletionYear(String completionYear) {
        this.completionYear = completionYear;
    }

    public BigDecimal getDipAngle() {
        return dipAngle;
    }

    public void setDipAngle(BigDecimal dipAngle) {
        this.dipAngle = dipAngle;
    }

    public BigDecimal getSlopeGradient() {
        return slopeGradient;
    }

    public void setSlopeGradient(BigDecimal slopeGradient) {
        this.slopeGradient = slopeGradient;
    }

    public BigDecimal getPurlineInterval() {
        return purlineInterval;
    }

    public void setPurlineInterval(BigDecimal purlineInterval) {
        this.purlineInterval = purlineInterval;
    }

    public String getWaterproof() {
        return waterproof;
    }

    public void setWaterproof(String waterproof) {
        this.waterproof = waterproof;
    }

    public String getSourcePollution() {
        return sourcePollution;
    }

    public void setSourcePollution(String sourcePollution) {
        this.sourcePollution = sourcePollution;
    }

    public String getOpsCondition() {
        return opsCondition;
    }

    public void setOpsCondition(String opsCondition) {
        this.opsCondition = opsCondition;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getSurveyVideo() {
        return surveyVideo;
    }

    public void setSurveyVideo(String surveyVideo) {
        this.surveyVideo = surveyVideo;
    }

    public String getSurveyFiles() {
        return surveyFiles;
    }

    public void setSurveyFiles(String surveyFiles) {
        this.surveyFiles = surveyFiles;
    }

    public BigDecimal getRoofArea() {
        return roofArea;
    }

    public void setRoofArea(BigDecimal roofArea) {
        this.roofArea = roofArea;
    }

    public BigDecimal getEwLength() {
        return ewLength;
    }

    public void setEwLength(BigDecimal ewLength) {
        this.ewLength = ewLength;
    }

    public BigDecimal getNsWide() {
        return nsWide;
    }

    public void setNsWide(BigDecimal nsWide) {
        this.nsWide = nsWide;
    }

    public String getVrRoofOne() {
        return vrRoofOne;
    }

    public void setVrRoofOne(String vrRoofOne) {
        this.vrRoofOne = vrRoofOne;
    }

    public String getVrRoofTwo() {
        return vrRoofTwo;
    }

    public void setVrRoofTwo(String vrRoofTwo) {
        this.vrRoofTwo = vrRoofTwo;
    }

    public String getVrRoofThree() {
        return vrRoofThree;
    }

    public void setVrRoofThree(String vrRoofThree) {
        this.vrRoofThree = vrRoofThree;
    }

    public String getVrRoofFour() {
        return vrRoofFour;
    }

    public void setVrRoofFour(String vrRoofFour) {
        this.vrRoofFour = vrRoofFour;
    }
}
